Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.cics.server
Class CicsResponseConditionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.ibm.cics.server.CicsException
                        |
                        +--com.ibm.cics.server.CicsConditionException
                              |
                              +--com.ibm.cics.server.CicsResponseConditionException

Direct Known Subclasses:
  AllocationErrorException, DestinationSelectionErrorException, DestinationStatusChangeException, DumpOpenErrorException, EndException, EndOfChainIndicatorException, EndOfDataException, EndOfDataSetIndicatorException, EndOfFileIndicatorException, EndOfInputIndicatorException, ErrorException, FunctionErrorException, InboundFMHException, InboundSignalException, InvalidControlBlockIdException, InvalidDirectionException, InvalidErrorTerminalException, InvalidExitRequestException, InvalidJournalIdException, InvalidLDCException, InvalidMapSizeException, InvalidNodeIdException, InvalidPartitionException, InvalidPartitionSetException, InvalidQueueIdException, InvalidREQIDPrefixException, InvalidRequestException, InvalidRetrieveOptionException, InvalidSystemIdException, InvalidTaskIdException, InvalidTransactionIdException, InvalidTSRequestException, InvalidUserIdException, IOErrorException, LengthErrorException, LogicException, MapFailureException, MapPageOverflowException, NoJournalBufferSpaceException, NoPassbookReadException, NoPassbookWriteException, NoSpoolException, NoStorageException, NotValidException, PartitionFailureException, ReadAttentionException, ResourceUnavailableException, ReturnedPageException, RouteFailedException, RoutePartiallyFailedException, SessionBusyException, SessionErrorException, SpoolBusyException, SpoolErrorException, StartFailedException, STRELERRException, SuppressedException, SystemBusyException, TimeExpiredException, TSIOErrorException, UnexpectedInformationException, WriteBreakException

public class CicsResponseConditionException
extends CicsConditionException

This class is the superclass of all JCICS exception classes that represent CICS conditions for which a response code is defined.

Method Summary
`byte[]` | `getResponseCode()` Return the respose code as defined in EIBRCODE.

Methods inherited from class com.ibm.cics.server.CicsConditionException
`getRESP2`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getResponseCode

    public byte[] getResponseCode()

  Return the respose code as defined in EIBRCODE.
  Returns:
    The response code.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001 by Sun Microsystems, Inc.